Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 63ca29665634b7ab017dd1930910f696a337c822)
+++ cpukit/ChangeLog	(revision e65f596dfd5aaf4deea2d1692417bb389b9a6d61)
@@ -1,2 +1,9 @@
+2008-12-01	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* rtems/include/rtems/rtems/region.h,
+	rtems/include/rtems/rtems/support.h,
+	rtems/src/regiongetsegmentsize.c, rtems/src/regionresizesegment.c,
+	rtems/src/workspace.c: Revert ssize_t patch.
+
 2008-11-26	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/rtems/include/rtems/rtems/region.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/region.h	(revision 63ca29665634b7ab017dd1930910f696a337c822)
+++ cpukit/rtems/include/rtems/rtems/region.h	(revision e65f596dfd5aaf4deea2d1692417bb389b9a6d61)
@@ -67,51 +67,12 @@
 
 typedef struct {
-  /**
-   * This field is the object management portion of a Region instance.
-   */
   Objects_Control       Object;
-
-  /**
-   * This is the set of threads blocked waiting on memory.
-   */
-  Thread_queue_Control  Wait_queue;
-
-  /**
-   * This is the physical starting address of the Region area.
-   */
-  void                 *starting_address;
-
-  /**
-   * This is the physical length (in bytes) of the Region memory.
-   */
-  uint32_t              length;
-
-  /**
-   * This is the physical page size (in bytes) of each allocated segment.
-   */
-  uint32_t              page_size;
-
-  /**
-   * This is the maximum segment size (in bytes) that can ever be allocated
-   * from this Region.  It is calculated at creation time.
-   */
-  uint32_t              maximum_segment_size;
-
-  /**
-   *  This is the Classic API attribute provided to the create directive.
-   *  It is translated into behavioral attributes on the SuperCore Heap
-   *  instance.
-   */
+  Thread_queue_Control  Wait_queue;            /* waiting threads        */
+  void                 *starting_address;      /* physical start addr    */
+  uint32_t              length;                /* physical length(bytes) */
+  uint32_t              page_size;             /* in bytes               */
+  uint32_t              maximum_segment_size;  /* in bytes               */
   rtems_attribute       attribute_set;
-
-  /**
-   * This is the number of blocks currently allocated from this Region.
-   */
-  uint32_t              number_of_used_blocks;
-
-  /**
-   * This is the Heap instance which implements the core functionality
-   * of a Region instance.
-   */
+  uint32_t              number_of_used_blocks; /* blocks allocated       */
   Heap_Control          Memory;
 }  Region_Control;
@@ -241,5 +202,5 @@
   Objects_Id         id,
   void              *segment,
-  ssize_t           *size
+  size_t            *size
 );
 
@@ -283,6 +244,6 @@
   Objects_Id  id,
   void       *segment,
-  ssize_t     size,
-  ssize_t    *old_size
+  size_t      size,
+  size_t     *old_size
 );
 
Index: cpukit/rtems/include/rtems/rtems/support.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/support.h	(revision 63ca29665634b7ab017dd1930910f696a337c822)
+++ cpukit/rtems/include/rtems/rtems/support.h	(revision e65f596dfd5aaf4deea2d1692417bb389b9a6d61)
@@ -80,6 +80,6 @@
  */
 bool rtems_workspace_allocate(
-  ssize_t   bytes,
-  void    **pointer
+  size_t   bytes,
+  void   **pointer
 );
 
Index: cpukit/rtems/src/regiongetsegmentsize.c
===================================================================
--- cpukit/rtems/src/regiongetsegmentsize.c	(revision 63ca29665634b7ab017dd1930910f696a337c822)
+++ cpukit/rtems/src/regiongetsegmentsize.c	(revision e65f596dfd5aaf4deea2d1692417bb389b9a6d61)
@@ -46,5 +46,5 @@
   Objects_Id         id,
   void              *segment,
-  ssize_t           *size
+  size_t            *size
 )
 {
Index: cpukit/rtems/src/regionresizesegment.c
===================================================================
--- cpukit/rtems/src/regionresizesegment.c	(revision 63ca29665634b7ab017dd1930910f696a337c822)
+++ cpukit/rtems/src/regionresizesegment.c	(revision e65f596dfd5aaf4deea2d1692417bb389b9a6d61)
@@ -47,6 +47,6 @@
   Objects_Id  id,
   void       *segment,
-  ssize_t     size,
-  ssize_t    *old_size
+  size_t      size,
+  size_t     *old_size
 )
 {
Index: cpukit/rtems/src/workspace.c
===================================================================
--- cpukit/rtems/src/workspace.c	(revision 63ca29665634b7ab017dd1930910f696a337c822)
+++ cpukit/rtems/src/workspace.c	(revision e65f596dfd5aaf4deea2d1692417bb389b9a6d61)
@@ -40,6 +40,6 @@
  */
 bool rtems_workspace_allocate(
-  ssize_t   bytes,
-  void    **pointer
+  size_t   bytes,
+  void   **pointer
 )
 {
